Unusual Whales UnusualWhales API

Stock Screener

GET https://api.unusualwhales.com/api/screener/stocks

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

ticker Ticker optional

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a `-`.

Example: AAPL,INTC
issue_types[] Issue types optional

An array of 1 or more issue types.

Example: Common StockIndex
enum: Common Stock, ETF, Index, ADR
min_change string optional

The minimum % change to the previous trading day.

max_change string optional

The maximum % change to the previous trading day.

min_underlying_price string optional

The minimum stock price.

max_underlying_price string optional

The maximum stock price.

is_s_p_500 boolean optional

Boolean whether to only include stocks which are part of the S&P 500. Setting this to false has no effect.

has_dividends boolean optional

Boolean wheter to only include stocks which pay dividends. Setting this to false has no effect.

sectors[] Sectors optional

An array of 1 or more sectors.

Example: Consumer CyclicalTechnologyUtilities
enum: Basic Materials, Communication Services, Consumer Cyclical, Consumer Defensive, Energy, Financial Services, Healthcare, Industrials, Real Estate, Technology, Utilities
min_marketcap string optional

The minimum marketcap.

max_marketcap string optional

The maximum marketcap.

min_perc_3_day_total string optional

The minimum ratio of options volume vs 3 day avg options volume.

max_perc_3_day_total string optional

The maximum ratio of options volume vs 3 day avg options volume.

min_perc_3_day_call string optional

The minimum ratio of call options volume vs 3 day avg call options volume.

max_perc_3_day_call string optional

The maximum ratio of call options volume vs 3 day avg call options volume.

min_perc_3_day_put string optional

The minimum ratio of put options volume vs 3 day avg put options volume.

max_perc_3_day_put string optional

The maximum ratio of put options volume vs 3 day avg put options volume.

min_perc_30_day_total string optional

The minimum ratio of options volume vs 30 day avg options volume.

max_perc_30_day_total string optional

The maximum ratio of options volume vs 30 day avg options volume.

min_perc_30_day_call string optional

The minimum ratio of call options volume vs 30 day avg call options volume.

max_perc_30_day_call string optional

The maximum ratio of call options volume vs 30 day avg call options volume.

min_perc_30_day_put string optional

The minimum ratio of put options volume vs 30 day avg put options volume.

max_perc_30_day_put string optional

The maximum ratio of put options volume vs 30 day avg put options volume.

min_total_oi_change_perc string optional

The minimum open interest change compared to the previous day.

max_total_oi_change_perc string optional

The maximum open interest change compared to the previous day.

min_call_oi_change_perc string optional

The minimum open interest change of call contracts compared to the previous day.

max_call_oi_change_perc string optional

The maximum open interest change of call contracts compared to the previous day.

min_put_oi_change_perc string optional

The minimum open interest change of put contracts compared to the previous day.

max_put_oi_change_perc string optional

The maximum open interest change of put contracts compared to the previous day.

min_implied_move string optional

The minimum implied move.

max_implied_move string optional

The maximum implied move.

min_implied_move_perc string optional

The minimum implied move perc.

max_implied_move_perc string optional

The maximum implied move perc.

min_volatility string optional

The minimum volatility.

max_volatility string optional

The maximum volatility.

min_iv_rank string optional

The minimum iv rank.

max_iv_rank string optional

The maximum iv rank.

min_volume integer optional

The minimum options volume.

max_volume integer optional

The maximum options volume.

min_call_volume integer optional

The minimum call options volume.

max_call_volume integer optional

The maximum call options volume.

min_put_volume integer optional

The minimum put options volume.

max_put_volume integer optional

The maximum put options volume.

min_premium string optional

The minimum options premium.

max_premium string optional

The minimum options premium.

min_call_premium string optional

The minimum call options premium.

max_call_premium string optional

The minimum call options premium.

min_put_premium string optional

The minimum put options premium.

max_put_premium string optional

The minimum put options premium.

min_net_premium string optional

The minimum net options premium.

max_net_premium string optional

The minimum net options premium.

min_net_call_premium string optional

The minimum net call options premium.

max_net_call_premium string optional

The maximum net call options premium.

min_net_put_premium string optional

The minimum net put options premium.

max_net_put_premium string optional

The maximum net put options premium.

min_oi integer optional

The minimum open interest.

max_oi integer optional

The maximum open interest.

min_oi_vs_vol string optional

The minimum open interest vs options volume ratio.

max_oi_vs_vol string optional

The maximum open interest vs options volume ratio.

min_put_call_ratio string optional

The minimum put to call ratio.

max_put_call_ratio string optional

The maximum put to call ratio.

order Screener order by field optional

The field to order by.

Example: premium
enum: avg_30_day_call_oi, avg_30_day_call_volume, avg_30_day_put_oi, avg_30_day_put_volume, avg_3_day_call_volume, avg_3_day_put_volume, avg_7_day_call_volume, avg_7_day_put_volume, bearish_premium, bullish_premium, call_oi_change, call_oi_change_perc, call_open_interest, call_premium, call_premium_ask_side, call_premium_bid_side, call_volume, call_volume_ask_side, call_volume_bid_side, cum_dir_delta, cum_dir_gamma, cum_dir_vega, date, flex_oi, flex_option_chains, implied_move, implied_move_perc, iv30d, iv30d_1d, iv30d_1m, iv30d_1w, iv_rank, marketcap, net_call_premium, net_premium, net_put_premium, new_chains, next_dividend_date, next_earnings_date, perc_call_vol_ask, perc_call_vol_bid, perc_change, perc_put_vol_ask, perc_put_vol_bid, premium, put_call_ratio, put_oi_change, put_oi_change_perc, put_open_interest, put_premium, put_premium_ask_side, put_premium_bid_side, put_volume, put_volume_ask_side, put_volume_bid_side, ticker, total_oi_change, total_oi_change_perc, total_open_interest, volatility, volume
order_direction OrderDirection optional

Whether to sort descending or ascending. Descending by default.

Example: asc Default: desc
enum: desc, asc
min_stock_volume_vs_avg30_volume string optional

The minimum stock volume vs average 30 day volume.

max_avg30_volume string optional

The maximum stock volume vs average 30 day volume.

date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18

Responses

200 422 500

Response Body 200 OK

avg_30_day_call_volume Market General Avg 30 Day Call Volume

Avg 30 day call volume.

Example: 679430.000000000000
avg_30_day_put_volume Market General Avg 30 Day Put Volume

Avg 30 day put volume.

Example: 401961.285714285714
avg_3_day_call_volume Market General Avg 3 Day Call Volume

Avg 3 day call volume.

Example: 606258.533333333333
avg_3_day_put_volume Market General Avg 3 Day Put Volume

Avg 3 day put volume.

Example: 436126.833333333333
avg_7_day_call_volume Market General Avg 7 Day Call Volume

Avg 7 day call volume.

Example: 679145.333333333333
avg_7_day_put_volume Market General Avg 7 Day Put Volume

Avg 7 day put volume.

Example: 388676.000000000000
bearish_premium Market General Bearish Premium

The bearish premium is defined as (call premium bid side) + (put premium ask side).

Example: 143198625
bullish_premium Market General Bullish Premium

The bullish premium is defined as (call premium ask side) + (put premium bid side).

Example: 196261414
call_open_interest Market General Call Open Interest

The sum of open interest of all the call options.

Example: 3975333
call_premium Market General Call Premium

The sum of the premium of all the call transactions that executed.

Example: 9908777.0
call_volume Market General Call Volume

The sum of the size of all the call transactions that executed.

Example: 990943
call_volume_ask_side Market General Call Volume Ask Side

The sum of the size of all the call transactions that executed on the ask side.

Example: 417251
call_volume_bid_side Market General Call Volume Bid Side

The sum of the size of all the call transactions that executed on the bid side.

Example: 498271
close Stock Close Price

The close stock price of the ticker.

Example: 182.91
er_time Stock Earnings time

The time when the earnings will be released.

Example: premarket
implied_move Stock Implied Move

The implied move of the underlying stock by a given date based on the money option contracts. It is calculated by multiplying the sum of the call and put price by 0.85. If no expiry date is included, then the implied move is for the nearest end of the week expiration (the nearest monthly expiration if there are no weekly contracts).

Example: 2.2398043036460877
implied_move_perc Stock Implied Move Perc

The implied move as a percentage of the underlying stock price.

Example: 0.012247398860706955
is_index Stock Is Index Ticker

Indicator, whether the ticker is an index.

Example: true
issue_type Stock Issue Type

The issue type of the ticker.

Example: Common Stock
iv30d Stock IV 30d

The 30 day implied volatility.

Example: 0.2038053572177887
iv30d_1d Stock IV 30d 1D

The previous trading day's 30 day implied volatility.

Example: 0.18791808187961578
iv30d_1m Stock IV 30d 1M

The implied volatility relative to the implied volatility throughout the previous year. A rank of 0 indicates that the implied volatility is the lowest it has been within the past year. A rank of 100 indicates that the implied volatility is the highest it has been within the past year.

Example: 13.52369891956068210400
iv30d_1w Stock IV 30d 1W

The 30 day implied volatility from 1 week ago.

Example: 0.18398597836494446
iv_rank Stock IV 30d 1M

The implied volatility relative to the implied volatility throughout the previous year. A rank of 0 indicates that the implied volatility is the lowest it has been within the past year. A rank of 100 indicates that the implied volatility is the highest it has been within the past year.

Example: 13.52369891956068210400
marketcap Stock Marketcap AUM

The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM.

Example: 2965813810400

... and 20 more fields

Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/screener/stocks" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "bullish_premium": "143198625",
      "put_open_interest": 3564153,
      "put_volume_bid_side": 314160,
      "call_volume_bid_side": 498271,
      "prev_call_oi": 3994750,
      "put_call_ratio": "0.815713920982337",
      "call_volume_ask_side": 417251,
      "iv30d_1d": "0.18791808187961578",
      "ticker": "AAPL",
      "implied_move_perc": "0.012247398860706955",
      "call_open_interest": 3975333,
      "iv_rank": "13.52369891956068210400",
      "prev_put_oi": 3679410,
      "er_time": "unknown",
      "avg_3_day_put_volume": "388676.000000000000",
      "avg_3_day_call_volume": "679145.333333333333",
      "iv30d_1w": "0.18398597836494446",
      "put_volume_ask_side": 431791,
      "avg_30_day_put_volume": "436126.833333333333",
      "iv30d": "0.2038053572177887",
      "put_volume": 808326,
      "avg_30_day_call_volume": "606258.533333333333",
      "bearish_premium": "196261414",
      "next_dividend_date": null,
      "call_premium": "222941665",
      "avg_7_day_put_volume": "401961.285714285714",
      "week_52_low": "124.17",
      "put_premium": "163537151",
      "net_put_premium": "23924325",
      "relative_volume": "1.2247398860706955",
      "volatility": "0.18338055163621902",
      "net_call_premium": "-29138464",
      "next_earnings_date": "2023-10-26",
      "implied_move": "2.2398043036460877",
      "week_52_high": "198.23",
      "close": "182.91",
      "total_open_interest": 7539486,
      "is_index": false,
      "avg_7_day_call_volume": "679430.000000000000",
      "date": "2023-09-06",
      "call_volume": 990943,
      "iv30d_1m": "0.2136848270893097",
      "prev_close": "189.70",
      "sector": "Technology",
      "issue_type": "Common Stock",
      "marketcap": "2965813810400"
    }
  ]
}